// ==UserScript==
// @name          GoogleCache with SSL
// @description   GoogleCache with SSL
// @include       http://www.google.*/search?*
// @include       https://www.google.*/search?*
// ==/UserScript==

Items = document.getElementsByTagName('a');
for(i=0; i<Items.length; i++) {
    Item = Items.item(i); Href = Item.href;
    if (Href!=null && Href.substring(0,38)==
        'http://webcache.googleusercontent.com/') {
        Item.href = Href.replace('http://', 'https://');
    }
}
